Bug 1408354 - [GSS] gluster fuse client losing connection to gluster volume frequently
Summary: [GSS] gluster fuse client losing connection to gluster volume frequently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rpc
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Milind Changire
QA Contact: nchilaka
URL:
Whiteboard: rebase
: 1574291 (view as bug list)
Depends On: 1426059
Blocks: 1724792 1320977 1369781 1408158 RHGS-3.4-GSS-proposed-tracker 1503135
TreeView+ depends on / blocked
 
Reported: 2016-12-23 02:28 UTC by Prashant Dhange
Modified: 2019-06-27 21:01 UTC (History)
17 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Enhancement
Doc Text:
This feature controls the TCP keep-alive feature timings per socket. Applications deployed by users had prerequisites concerning the system call latencies. Using gluster as the file-system adds further network latency to the existing system-call latency. These gluster options opened to the user will help them fine-tune the application to an acceptable network latency beyond which the TCP socket will be assumed as disconnected. Default values assigned to these options configure every TCP socket to the system default values when no such options are explicitly set. The gluster volume options opened to the users are: * server.tcp-user-timeout * client.tcp-user-timeout * transport.socket.keepalive-time * transport.socket.keepalive-interval * transport.socket.keepalive-count These options are 1:1 compatible with similar options described in the TCP(7) manual page. This feature provides a mechanism to fine tune the application behaviour for better user experience.
Clone Of:
: 1426059 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:29:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:32:05 UTC

Comment 27 Milind Changire 2017-02-23 11:34:47 UTC
mainline patch: https://review.gluster.org/16731
moving to POST

Comment 34 Milind Changire 2018-05-15 10:48:00 UTC
*** Bug 1574291 has been marked as a duplicate of this bug. ***

Comment 40 errata-xmlrpc 2018-09-04 06:29:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.